# Sonos Toolkit for Alfred

<img src="./assets/icon-sonos.png" alt="Sonos logo" width="128" height="128">

The Sonos Toolkit for Alfred offers a set of keywords that let you quickly interact with Sonos's [Mac app](https://support.sonos.com/s/downloads).

This extension doesn't support programmatic access to Sonos, like searching your music or configuring your system from within Alfred. For that kind of integration, try the [Alfred Sonos Controller](https://github.com/karimkaylani/alfred-sonoscontroller) by [Karim Kaylani](https://github.com/karimkaylani).


# Installation

<a href="https://github.com/chrismessina/alfred-sonos-toolkit/raw/main/sonos-toolkit.alfredworkflow"><img src="./assets/icon-workflow.png" alt="Workflow File Icon" width="128" height="128"></a>

1. Download [sonos-toolkit.alfredworkflow](https://github.com/chrismessina/alfred-sonos-toolkit/raw/main/sonos-toolkit.alfredworkflow).
2. Double-click `sonos-toolkit.alfredworkflow` to install it.

_You will need to be an [Alfred Powerpack](https://www.alfredapp.com/powerpack/) user to enable this workflow._

# Usage

You can use the following keywords to control Sonos:

|   Keyword        	|   Icon                                                              	|   Description                	|
|------------------	|---------------------------------------------------------------------	|------------------------------	|
|   `previous`     	|   <img src="./assets/icon-previous.png" width="96" height="96">     	|   Go to previous track       	|
|   `pause`        	|   <img src="./assets/icon-pause.png" width="96" height="96">        	|   Pause audio                	|
|   `play`         	|   <img src="./assets/icon-play.png" width="96" height="96">         	|   Play audio                 	|
|   `next`         	|   <img src="./assets/icon-next.png" width="96" height="96">         	|   Advance to next track      	|
|   `shuffle`      	|   <img src="./assets/icon-shuffle.png" width="96" height="96">      	|   Toggle shuffle             	|
|   `mute`         	|   <img src="./assets/icon-mute.png" width="96" height="96">         	|   Mute audio                 	|
|   `volume-down`  	|   <img src="./assets/icon-volume-down.png" width="96" height="96">  	|   Decrease volume            	|
|   `volume-up`    	|   <img src="./assets/icon-volume-up.png" width="96" height="96">    	|   Increase volume            	|
|   `search`       	|   <img src="./assets/icon-search.png" width="96" height="96">       	|   Search current source      	|
|   `mini`         	|                                                                     	|   Switch to Mini Controller  	|
|   `sonos`        	|                                                                     	|   Switch to Main Controller  	|

# Changelog[¹](https://keepachangelog.com/)

## [v0.1.3] - 2020-12-08

### Changed
- Updated Workflow icon

## [v0.1.2] - 2020-11-26

### Changed
- Some tweaks to AppleScripts. No major functionality differences
- Update OneUpdater

## [v0.1.0] - 2020-08-06
- Initial Release

# About

This workflow is unaffiliated with nor endorsed by Sonos. Thanks to [Daniel John Jones](https://twitter.com/ideoforms?s=21) for his support.

You can [file bugs](https://github.com/chrismessina/alfred-sonos-toolkit/issues/new) or [submit feature requests](https://github.com/chrismessina/alfred-sonos-toolkit/issues/new) on GitHub using the label `workflow:sonos-toolkit`.

<a href="https://www.alfredforum.com/topic/15686-workflow-sonos-toolkit/">Alfred Forum link</a>
